// src/popup.js
import PopupService from './popup/popup-service.js';
import AContentService from './popup/a-content-service.js';
import ImgContentService from './popup/img-content-service.js';
import ScriptContentService from './popup/script-content-service.js';
import MetaContentService from './popup/meta-content-service.js';


const popupService = new PopupService();
const aContentService = new AContentService(popupService);
const imgContentService = new ImgContentService(popupService);
const scriptContentService = new ScriptContentService(popupService);
const metaContentService = new MetaContentService(popupService);


document.addEventListener("DOMContentLoaded", function(event) {

    aContentService.InitialiseComponents();
    imgContentService.InitialiseComponents();
    scriptContentService.InitialiseComponents();
    metaContentService.InitialiseComponents();

});